package dev.fyloz.colorrecipesexplorer.service.files

import dev.fyloz.colorrecipesexplorer.utils.FilePath

class FileExistCache {
    private val map = hashMapOf<FilePath, Boolean>()

    operator fun contains(path: FilePath) =
        path in map

    fun exists(path: FilePath) =
        map[path] ?: false

    fun set(path: FilePath, exists: Boolean) {
        map[path] = exists
    }

    fun setExists(path: FilePath) =
        set(path, true)

    fun setDoesNotExists(path: FilePath) =
        set(path, false)
}